Subject: Re: [RFC PATCH] x86: create drivers/x86/ from drivers/misc/

From: Len Brown <[email-masked]>
Date: Sun, 30 Nov 2008 23:35:19 -0500 (EST)

On Fri, 28 Nov 2008, Henrique de Moraes Holschuh wrote:

> On Fri, 28 Nov 2008, Len Brown wrote:
> > > > Move x86 platform specific drivers from drivers/misc/
> > > > to a new home under drivers/x86/.
> [...]
> > > We already have 81 one directory entries under drivers/
> > > and with patch you open up for an additional
> > > directory for each arch - not elegant.
> > 
> > I followed the example of drivers/s390/,
> > per Linus' suggestion.
> > 
> > The other place that seemed to suggest itself was
> > arch/x86/drivers/, as we already have:
> > 
> > arch/um/drivers/
> > arch/sh/drivers/
> > arch/cris/*/drivers/
> 
> IMHO, from a purely "tree organization" point of view, it would be best if
> arch-specific platform drivers were under drivers/platform/<arch>/.  And
> arch/ be left for the core arch-specific stuff.
> 
> Whether that would work well, when arch maintenance factors are taken into
> account, I don't know.

Each of the drivers has a primary maintainer --
though some of them jare  more active than others...
And I'll continue to be available to help them where I can.

> > > As it is today (before this patch) the directories unider
> > > drivers/ said what the drivers was used for - which is logical.
> > > 
> > > But with this new arch specific directory it is no longer obvious
> > > is a driver should be located under say drivers/net/* or
> > > drivers/arm/* in case it is a arm specific driver.
> 
> drivers/platform/<arch> would help in that regard, I think.

I agree.
drivers/platform/x86/ seems to be a better home than drivers/x86/
for this bunch.  I'll update the patch to do this.
The other arch's can follow later if they choose.

thanks,
-Len